{% extends "base.html" %}

{% block pagetitle %} Index {% endblock %}

{% block content %}
<h1>Welcome to the Bucket List!</h1>
<p>Server Time: {{server_time}}</p>

<table class="table">
    <tr>
        <td>
            <h3>Product List</h3>
        </td>
        <td></td>
        <td></td>
        <td>
            <form style = "float:right" method='post' action="{{url_for('inventory.add_product')}}">
                <input type = "text" name = "post_id" style ="display:none" />
                <input class='btn btnDelete' type='submit' value='add item to inventory'/>
            </form>
        </td>

    </tr>

    
    <tr>
        <th>Name</th>
        <th>Price</th>
        <th>Quantity</th>
        <th></th>
    </tr>

    {% for product in inventory %}
    <tr>
        <td>
            {{
                product['product_name']
            }}
        </td>
        <td>
            {{
                product['product_price']
            }}
        </td>
        <td>
            {{
                product['quantity']
            }}
        </td>

        <td>
            <form style = "float:right" method='post' action="{{url_for('cart.cart_add_product')}}">
                <input name = 'product_id' style="display:none" value= "{{product['_id']}}" />
                <input name = 'product_name' style="display:none" value= "{{product['product_name']}}" />
                <input name = 'product_price' style="display:none" value= "{{product['product_price']}}" />
                <input class='btn' type='submit' value='add to cart'/>
            </form>
        </td>

    </tr>
    {% endfor %}

</table>



{% endblock %}